Bug 1011903 - [RFE]: add support for changing network profile type from dhcp to static
[RFE]: add support for changing network profile type from dhcp to static
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: openlmi-networking (Show other bugs)
7.0
Unspecified Unspecified
unspecified Severity unspecified
: beta
: 7.0
Assigned To: Radek Novacek
Desktop QE
: FutureFeature, Rebase
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-25 07:12 EDT by Vladimir Benes
Modified: 2016-11-30 19:31 EST (History)
1 user (show)

See Also:
Fixed In Version: openlmi-networking-0.2.0-1.el7
Doc Type: Rebase: Bug Fixes and Enhancements
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-13 08:07:59 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vladimir Benes 2013-09-25 07:12:41 EDT
Description of problem:
When I want to switch profile from dhcp to static. I was told it's not possible as user is expected to create two profiles one with dhcp and the second one with static settings. Nevertheless, I think possibility to change type would be useful even if remove/add is performed

Version-Release number of selected component (if applicable):
openlmi-networking-0.1.1-3.el7.x86_64

How reproducible:
always

Steps to Reproduce:
1.create dhcp profile
2.switch settings to static


Actual results:
no way

Expected results:
should be possible

Additional info:
Comment 1 Radek Novacek 2013-10-14 08:14:05 EDT
This issue is addressed in the upstream repository. I suggest to do a rebase to pick this (and couple of other changes) and upstream bugfixes.
Comment 2 Radek Novacek 2013-10-15 06:57:22 EDT
Fixed in openlmi-networking-0.2.0-1.el7.
Comment 4 Vladimir Benes 2014-04-16 18:51:24 EDT
tests added for static->dynamic and back for ipv4/ipv6
Comment 5 Ludek Smid 2014-06-13 08:07:59 EDT
This request was resolved in Red Hat Enterprise Linux 7.0.

Contact your manager or support representative in case you have further questions about the request.

Note You need to log in before you can comment on or make changes to this bug.